Summary: Asynchronous Python 3 Bindings for Qt 5
Name: pyotherside
Version:    1.5.1
Release:    2%{?dist}
Source0: http://thp.io/2011/pyotherside/%{name}-%{version}.tar.gz
URL: http://thp.io/2011/pyotherside/
License: ISC
BuildRequires: python3-devel
BuildRequires: qt5-qtbase-devel
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Qml)
BuildRequires: pkgconfig(Qt5Quick)
BuildRequires: pkgconfig(Qt5Test)
BuildRequires: pkgconfig(Qt5Svg)
BuildRequires: xorg-x11-server-Xvfb
Requires: python3

%description
A QML Plugin that provides access to a Python 3 interpreter from QML.

%prep
%setup -q

%build
%{qmake_qt5}
make %{?_smp_mflags}

%check
xvfb-run ./tests/tests

%install
make INSTALL_ROOT=%{buildroot} install

%files
%doc README LICENSE
%dir %{_qt5_archdatadir}/qml/io/
%dir %{_qt5_archdatadir}/qml/io/thp/
%{_qt5_archdatadir}/qml/io/thp/pyotherside
%exclude %{_libdir}/qt5/tests/qtquicktests/qtquicktests

%changelog
* Mon Mar 20 2017 Martin Kolman <mkolman@redhat.com> - 1.5.1-2
- exclude a test related executable

* Mon Mar 20 2017 Martin Kolman <mkolman@redhat.com> - 1.5.1-1
- updated to 1.5.1

* Wed Jun 15 2016 Martin Kolman <mkolman@redhat.com> - 1.5.0-2
- add missing pkgconfig(Qt5Svg) dependency

* Wed Jun 15 2016 Martin Kolman <mkolman@redhat.com> - 1.5.0-1
- updated to 1.5.0

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-6
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Apr 10 2015 Rex Dieter <rdieter@fedoraproject.org> 1.4.0-4
- drop needless ldconfig scriptlets
- drop deprecated .spec tags
- use %%qmake_qt5, %%{_qt5_archdatadir} macros

* Fri Apr 10 2015 Martin Kolman <mkolman@redhat.com> - 1.4.0-3
- fix QML plugin directory ownership

* Thu Apr 02 2015 Martin Kolman <mkolman@redhat.com> - 1.4.0-2
- add a changelog
- call ldconfig correctly
- run the test suite in check

* Thu Apr 02 2015 Martin Kolman <mkolman@redhat.com> - 1.4.0-1
- update to upstream release 1.4.0

* Wed Dec 10 2014 Martin Kolman <mkolman@redhat.com> - 1.3.0-1
- Initial package
